diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-x2-handover-measures.cc ns-3.44/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.43/src/lte/test/test-lte-x2-handover-measures.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-x2-handover-measures.cc	2025-03-09 16:55:49.611372000 -0700
@@ -8,25 +8,25 @@
  *   Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include <ns3/bulk-send-helper.h>
-#include <ns3/core-module.h>
-#include <ns3/internet-module.h>
-#include <ns3/lte-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/packet-sink-helper.h>
-#include <ns3/packet-sink.h>
-#include <ns3/point-to-point-module.h>
-#include <ns3/udp-client-server-helper.h>
+#include "ns3/bulk-send-helper.h"
+#include "ns3/core-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/lte-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
+#include "ns3/packet-sink.h"
+#include "ns3/point-to-point-module.h"
+#include "ns3/udp-client-server-helper.h"
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteX2HandoverMeasuresTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief CheckPointEvent structure
+ * @brief CheckPointEvent structure
  */
 struct CheckPointEvent
 {
@@ -39,11 +39,11 @@
     /**
      *  Constructor
      *
-     * \param start the start time
-     * \param stop the stop time
-     * \param interval the interval time
-     * \param ueIndex the UE index
-     * \param enbIndex the ENB index
+     * @param start the start time
+     * @param stop the stop time
+     * @param interval the interval time
+     * @param ueIndex the UE index
+     * @param enbIndex the ENB index
      */
     CheckPointEvent(Time start, Time stop, Time interval, uint32_t ueIndex, uint32_t enbIndex)
         : checkStartTime(start),
@@ -56,9 +56,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test different X2 handover measures and algorithms, e.g. A2A4RsrqHandoverAlgorithm and
+ * @brief Test different X2 handover measures and algorithms, e.g. A2A4RsrqHandoverAlgorithm and
  * A3RsrpHandoverAlgorithm. Test defines different handover parameters and scenario configurations.
  */
 class LteX2HandoverMeasuresTestCase : public TestCase
@@ -67,17 +67,17 @@
     /**
      * Constructor.
      *
-     * \param nEnbs number of eNBs in the test
-     * \param nUes number of UEs in the test
-     * \param nDedicatedBearers number of bearers to be activated per UE
-     * \param checkPointEventList list of check point events
-     * \param checkPointEventListName name of check point event list
-     * \param useUdp true if UDP is to be used, false if TCP is to be used
-     * \param schedulerType type of scheduler to be used (e.g. "ns3::PfFfMacScheduler")
-     * \param handoverAlgorithmType type of handover algorithm to be used (e.g.
+     * @param nEnbs number of eNBs in the test
+     * @param nUes number of UEs in the test
+     * @param nDedicatedBearers number of bearers to be activated per UE
+     * @param checkPointEventList list of check point events
+     * @param checkPointEventListName name of check point event list
+     * @param useUdp true if UDP is to be used, false if TCP is to be used
+     * @param schedulerType type of scheduler to be used (e.g. "ns3::PfFfMacScheduler")
+     * @param handoverAlgorithmType type of handover algorithm to be used (e.g.
      * "ns3::A3RsrpHandoverAlgorithm")
-     * \param admitHo true if Ho is admitted, false if it is not admitted
-     * \param useIdealRrc true if ideal RRC is to be used, false if real RRC is to be used
+     * @param admitHo true if Ho is admitted, false if it is not admitted
+     * @param useIdealRrc true if ideal RRC is to be used, false if real RRC is to be used
      */
     LteX2HandoverMeasuresTestCase(uint32_t nEnbs,
                                   uint32_t nUes,
@@ -93,17 +93,17 @@
   private:
     /**
      * Build name string
-     * \param nEnbs number of eNBs in the test
-     * \param nUes number of UEs in the test
-     * \param nDedicatedBearers number of bearers to be activated per UE
-     * \param checkPointEventListName name of check point event list
-     * \param useUdp true if UDP is to be used, false if TCP is to be used
-     * \param schedulerType the scheduler type
-     * \param handoverAlgorithmType type of handover algorithm to be used (e.g.
+     * @param nEnbs number of eNBs in the test
+     * @param nUes number of UEs in the test
+     * @param nDedicatedBearers number of bearers to be activated per UE
+     * @param checkPointEventListName name of check point event list
+     * @param useUdp true if UDP is to be used, false if TCP is to be used
+     * @param schedulerType the scheduler type
+     * @param handoverAlgorithmType type of handover algorithm to be used (e.g.
      * "ns3::A3RsrpHandoverAlgorithm")
-     * \param admitHo true if Ho is admitted, false if it is not admitted
-     * \param useIdealRrc true if the ideal RRC should be used
-     * \returns the name string
+     * @param admitHo true if Ho is admitted, false if it is not admitted
+     * @param useIdealRrc true if the ideal RRC should be used
+     * @returns the name string
      */
     static std::string BuildNameString(uint32_t nEnbs,
                                        uint32_t nUes,
@@ -117,8 +117,8 @@
     void DoRun() override;
     /**
      * Check connected function
-     * \param ueDevice the UE device
-     * \param enbDevice the ENB device
+     * @param ueDevice the UE device
+     * @param enbDevice the ENB device
      */
     void CheckConnected(Ptr<NetDevice> ueDevice, Ptr<NetDevice> enbDevice);
 
@@ -137,9 +137,9 @@
     Ptr<PointToPointEpcHelper> m_epcHelper;           ///< EPC helper
 
     /**
-     * \ingroup lte-test
+     * @ingroup lte-test
      *
-     * \brief BearerData structure
+     * @brief BearerData structure
      */
     struct BearerData
     {
@@ -151,9 +151,9 @@
     };
 
     /**
-     * \ingroup lte-test
+     * @ingroup lte-test
      *
-     * \brief UeData structure
+     * @brief UeData structure
      */
     struct UeData
     {
@@ -162,13 +162,13 @@
     };
 
     /**
-     * \brief Save stats  function
-     * \param ueIndex the index of the UE
+     * @brief Save stats  function
+     * @param ueIndex the index of the UE
      */
     void SaveStats(uint32_t ueIndex);
     /**
-     * \brief Check stats  function
-     * \param ueIndex the index of the UE
+     * @brief Check stats  function
+     * @param ueIndex the index of the UE
      */
     void CheckStats(uint32_t ueIndex);
 
@@ -543,7 +543,7 @@
 
     // schedule the checkpoint events
 
-    Time stopTime = Seconds(0);
+    Time stopTime;
     for (auto checkPointEventIt = m_checkPointEventList.begin();
          checkPointEventIt != m_checkPointEventList.end();
          ++checkPointEventIt)
@@ -727,9 +727,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte X2 Handover Measures Test Suite
+ * @brief Lte X2 Handover Measures Test Suite
  */
 class LteX2HandoverMeasuresTestSuite : public TestSuite
 {
@@ -990,7 +990,7 @@
 } // end of LteX2HandoverMeasuresTestSuite ()
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteX2HandoverMeasuresTestSuite g_lteX2HandoverMeasuresTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/doc/mesh.h ns-3.44/src/mesh/doc/mesh.h
--- ns-3.43/src/mesh/doc/mesh.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/doc/mesh.h	2025-03-09 16:55:49.615372000 -0700
@@ -11,10 +11,10 @@
  */
 
 /**
- * \defgroup mesh Mesh Device
+ * @defgroup mesh Mesh Device
  *
- * \brief MAC-layer mobile mesh networking.
- * \section MeshOverview Overview of Layer-2 Mesh networking protocols
+ * @brief MAC-layer mobile mesh networking.
+ * @section MeshOverview Overview of Layer-2 Mesh networking protocols
  *
  * The main goal of this module is to provide MAC-layer routing functionality.
 
@@ -56,7 +56,7 @@
  support
  * 48-bit MAC-addressing scheme.
  *
- * \subsection Architecture Architecture of MAC-layer routing stack
+ * @subsection Architecture Architecture of MAC-layer routing stack
  * As already mentioned, MAC-layer routing consists of two tiers.
  * An ns3::MeshPointDevice which forwards frames by using an attached ns3::MeshL2RoutingProtocol
  forms
@@ -90,9 +90,9 @@
  * It handles all outgoing and incoming frames, fills headers and make decisions to drop a frame or
  not. Also, it
  * adds information elements to beacons specific to given L2Routing protocol, if needed.
- * \image html MeshArchitecture.png "Overview of the Mesh MAC-layer routing system"
+ * @image html MeshArchitecture.png "Overview of the Mesh MAC-layer routing system"
  *
- * \subsection NewProtocol Adding a new protocol
+ * @subsection NewProtocol Adding a new protocol
  * This module requires all the network devices operate with ns3::Mac48Address addressing scheme.
  *
  * To add a new L2Routing protocol, one needs to define the following:
@@ -107,9 +107,9 @@
  * you work with a frame without an LLC header, and when you are at plug-in tier using
  * ns3::MeshWifiInterfaceMacPlugin, an LLC header is already attached (by WifiNetDevice)
  *
- * \attention Note, when you use ns3::MeshWifiInterfaceMac, multiple plug-ins may be installed.
+ * @attention Note, when you use ns3::MeshWifiInterfaceMac, multiple plug-ins may be installed.
  *
- * \subsection Statistics
+ * @subsection Statistics
  * Each L2Routing protocol has a structure to capture statistics, Report and ResetStats methods.
  * This gives an opportunity to collect statistic to an *.xml file periodically.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/examples/mesh-example.cc ns-3.44/src/mesh/examples/mesh-example.cc
--- ns-3.43/src/mesh/examples/mesh-example.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/examples/mesh-example.cc	2025-03-09 16:55:49.615372000 -0700
@@ -82,7 +82,7 @@
 /**
  * Transmission trace sink.
  *
- * \param p The sent packet.
+ * @param p The sent packet.
  */
 void
 TxTrace(Ptr<const Packet> p)
@@ -94,7 +94,7 @@
 /**
  * Reception trace sink,
  *
- * \param p The received packet.
+ * @param p The received packet.
  */
 void
 RxTrace(Ptr<const Packet> p)
@@ -104,8 +104,8 @@
 }
 
 /**
- * \ingroup mesh
- * \brief MeshTest class
+ * @ingroup mesh
+ * @brief MeshTest class
  */
 class MeshTest
 {
@@ -115,13 +115,13 @@
     /**
      * Configure test from command line arguments
      *
-     * \param argc command line argument count
-     * \param argv command line arguments
+     * @param argc command line argument count
+     * @param argv command line arguments
      */
     void Configure(int argc, char** argv);
     /**
      * Run test
-     * \returns the test status
+     * @returns the test status
      */
     int Run();
 
@@ -291,7 +291,7 @@
     UdpEchoServerHelper echoServer(portNumber);
     uint16_t sinkNodeId = m_xSize * m_ySize - 1;
     ApplicationContainer serverApps = echoServer.Install(nodes.Get(sinkNodeId));
-    serverApps.Start(Seconds(1.0));
+    serverApps.Start(Seconds(1));
     serverApps.Stop(Seconds(m_totalTime + 1));
     UdpEchoClientHelper echoClient(interfaces.GetAddress(sinkNodeId), portNumber);
     echoClient.SetAttribute("MaxPackets",
@@ -302,7 +302,7 @@
     Ptr<UdpEchoClient> app = clientApps.Get(0)->GetObject<UdpEchoClient>();
     app->TraceConnectWithoutContext("Tx", MakeCallback(&TxTrace));
     app->TraceConnectWithoutContext("Rx", MakeCallback(&RxTrace));
-    clientApps.Start(Seconds(1.0));
+    clientApps.Start(Seconds(1));
     clientApps.Stop(Seconds(m_totalTime + 1.5));
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/helper/dot11s/dot11s-installer.h ns-3.44/src/mesh/helper/dot11s/dot11s-installer.h
--- ns-3.43/src/mesh/helper/dot11s/dot11s-installer.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/helper/dot11s/dot11s-installer.h	2025-03-09 16:55:49.623372000 -0700
@@ -15,15 +15,15 @@
 {
 
 /**
- * \ingroup dot11s
- * \brief Helper class to allow easy installation of 802.11s stack.
+ * @ingroup dot11s
+ * @brief Helper class to allow easy installation of 802.11s stack.
  */
 class Dot11sStack : public MeshStack
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -44,23 +44,23 @@
     void DoDispose() override;
 
     /**
-     * \brief Install an 802.11s stack.
-     * \param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
-     * \return true if successful
+     * @brief Install an 802.11s stack.
+     * @param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
+     * @return true if successful
      */
     bool InstallStack(Ptr<MeshPointDevice> mp) override;
 
     /**
-     * \brief Iterate through the referenced devices and protocols and print
+     * @brief Iterate through the referenced devices and protocols and print
      * their statistics
-     * \param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
-     * \param os The output stream
+     * @param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
+     * @param os The output stream
      */
     void Report(const Ptr<MeshPointDevice> mp, std::ostream&) override;
 
     /**
-     * \brief Reset the statistics on the referenced devices and protocols.
-     * \param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
+     * @brief Reset the statistics on the referenced devices and protocols.
+     * @param mp The Ptr<MeshPointDevice> to use when setting up the PMP.
      */
     void ResetStats(const Ptr<MeshPointDevice> mp) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/helper/flame/flame-installer.cc ns-3.44/src/mesh/helper/flame/flame-installer.cc
--- ns-3.43/src/mesh/helper/flame/flame-installer.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/helper/flame/flame-installer.cc	2025-03-09 16:55:49.623372000 -0700
@@ -50,7 +50,7 @@
 FlameStack::Report(const Ptr<MeshPointDevice> mp, std::ostream& os)
 {
     mp->Report(os);
-    /// \todo report flame counters
+    /// @todo report flame counters
     Ptr<FlameProtocol> flame = mp->GetObject<FlameProtocol>();
     NS_ASSERT(flame);
     flame->Report(os);
@@ -60,7 +60,7 @@
 FlameStack::ResetStats(const Ptr<MeshPointDevice> mp)
 {
     mp->ResetStats();
-    /// \todo reset flame counters
+    /// @todo reset flame counters
     Ptr<FlameProtocol> flame = mp->GetObject<FlameProtocol>();
     NS_ASSERT(flame);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/helper/flame/flame-installer.h ns-3.44/src/mesh/helper/flame/flame-installer.h
--- ns-3.43/src/mesh/helper/flame/flame-installer.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/helper/flame/flame-installer.h	2025-03-09 16:55:49.623372000 -0700
@@ -15,17 +15,17 @@
 {
 
 /**
- * \ingroup flame
+ * @ingroup flame
  *
- * \brief Helper class used to install FLAME mesh stack (actually single
+ * @brief Helper class used to install FLAME mesh stack (actually single
  * protocol in this stack)
  */
 class FlameStack : public MeshStack
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -46,22 +46,22 @@
     void DoDispose() override;
 
     /**
-     * \brief Install a flame stack on the given MeshPointDevice
-     * \param mp The Ptr<MeshPointDevice> to use.
-     * \return true if successful
+     * @brief Install a flame stack on the given MeshPointDevice
+     * @param mp The Ptr<MeshPointDevice> to use.
+     * @return true if successful
      */
     bool InstallStack(Ptr<MeshPointDevice> mp) override;
 
     /**
-     * \brief Print flame protocol statistics.
-     * \param mp The Ptr<MeshPointDevice> to use.
-     * \param os The output stream
+     * @brief Print flame protocol statistics.
+     * @param mp The Ptr<MeshPointDevice> to use.
+     * @param os The output stream
      */
     void Report(const Ptr<MeshPointDevice> mp, std::ostream&) override;
 
     /**
-     * \brief Reset the statistics.
-     * \param mp The Ptr<MeshPointDevice> to use.
+     * @brief Reset the statistics.
+     * @param mp The Ptr<MeshPointDevice> to use.
      */
     void ResetStats(const Ptr<MeshPointDevice> mp) override;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/helper/mesh-helper.h ns-3.44/src/mesh/helper/mesh-helper.h
--- ns-3.43/src/mesh/helper/mesh-helper.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/helper/mesh-helper.h	2025-03-09 16:55:49.635372000 -0700
@@ -25,9 +25,9 @@
 class NodeContainer;
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Helper to create IEEE 802.11s mesh networks
+ * @brief Helper to create IEEE 802.11s mesh networks
  */
 class MeshHelper
 {
@@ -43,45 +43,45 @@
     ~MeshHelper();
 
     /**
-     * \brief Set the helper to the default values for the MAC type,  remote
+     * @brief Set the helper to the default values for the MAC type,  remote
      * station manager and channel policy.
-     * \returns the default MeshHelper
+     * @returns the default MeshHelper
      */
     static MeshHelper Default();
 
     /**
-     * \brief Set the Mac Attributes.
+     * @brief Set the Mac Attributes.
      *
      * All the attributes specified in this method should exist
      * in the requested mac.
      *
-     * \tparam Ts \deduced Argument types
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetMacType(Ts&&... args);
     /**
-     * \brief Set the remote station manager type and Attributes.
+     * @brief Set the remote station manager type and Attributes.
      *
      * All the attributes specified in this method should exist
      * in the requested station manager.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of remote station manager to use.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of remote station manager to use.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetRemoteStationManager(std::string type, Ts&&... args);
     /**
      * Set standard
-     * \param standard the wifi phy standard
+     * @param standard the wifi phy standard
      */
     void SetStandard(WifiStandard standard);
 
-    /// \todo SetMeshId
+    /// @todo SetMeshId
     // void SetMeshId (std::string s);
     /**
-     *  \brief Spread/not spread frequency channels of MP interfaces.
+     *  @brief Spread/not spread frequency channels of MP interfaces.
      *
      *  If set to true different non-overlapping 20MHz frequency
      *  channels will be assigned to different mesh point interfaces.
@@ -93,46 +93,46 @@
     };
 
     /**
-     * \brief set the channel policy
-     * \param policy the channel policy
+     * @brief set the channel policy
+     * @param policy the channel policy
      */
     void SetSpreadInterfaceChannels(ChannelPolicy policy);
     /**
-     * \brief Set a number of interfaces in a mesh network
-     * \param nInterfaces is the number of interfaces
+     * @brief Set a number of interfaces in a mesh network
+     * @param nInterfaces is the number of interfaces
      */
     void SetNumberOfInterfaces(uint32_t nInterfaces);
 
     /**
-     * \brief Install 802.11s mesh device & protocols on given node list
+     * @brief Install 802.11s mesh device & protocols on given node list
      *
-     * \param phyHelper           Wifi PHY helper
-     * \param c               List of nodes to install
+     * @param phyHelper           Wifi PHY helper
+     * @param c               List of nodes to install
      *
-     * \return list of created mesh point devices, see MeshPointDevice
+     * @return list of created mesh point devices, see MeshPointDevice
      */
     NetDeviceContainer Install(const WifiPhyHelper& phyHelper, NodeContainer c) const;
     /**
-     * \brief Set the MeshStack type to use.
+     * @brief Set the MeshStack type to use.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type the type of ns3::MeshStack.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type the type of ns3::MeshStack.
+     * @param [in] args Name and AttributeValue pairs to set.
      */
     template <typename... Ts>
     void SetStackInstaller(std::string type, Ts&&... args);
 
     /**
-     * \brief Print statistics.
+     * @brief Print statistics.
      *
-     * \param device the net device
-     * \param os the output stream
+     * @param device the net device
+     * @param os the output stream
      */
     void Report(const ns3::Ptr<ns3::NetDevice>& device, std::ostream& os);
 
     /**
-     * \brief Reset statistics.
-     * \param device the net device
+     * @brief Reset statistics.
+     * @param device the net device
      */
     void ResetStats(const ns3::Ptr<ns3::NetDevice>& device);
     /**
@@ -141,10 +141,10 @@
      * have been assigned.  The Install() method of this helper
      * should have previously been called by the user.
      *
-     * \param stream first stream index to use
-     * \param c NetDeviceContainer of the set of devices for which the mesh devices
+     * @param stream first stream index to use
+     * @param c NetDeviceContainer of the set of devices for which the mesh devices
      *          should be modified to use a fixed stream
-     * \return the number of stream indices assigned by this helper
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NetDeviceContainer c, int64_t stream);
 
@@ -155,10 +155,10 @@
 
   private:
     /**
-     * \param phyHelper
-     * \param node
-     * \param channelId
-     * \returns a WifiNetDevice with ready-to-use interface
+     * @param phyHelper
+     * @param node
+     * @param channelId
+     * @returns a WifiNetDevice with ready-to-use interface
      */
     Ptr<WifiNetDevice> CreateInterface(const WifiPhyHelper& phyHelper,
                                        Ptr<Node> node,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/helper/mesh-stack-installer.h ns-3.44/src/mesh/helper/mesh-stack-installer.h
--- ns-3.43/src/mesh/helper/mesh-stack-installer.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/helper/mesh-stack-installer.h	2025-03-09 16:55:49.635372000 -0700
@@ -13,9 +13,9 @@
 namespace ns3
 {
 /**
- * \ingroup mesh
+ * @ingroup mesh
  *
- * \brief Prototype for class, which helps to install MAC-layer
+ * @brief Prototype for class, which helps to install MAC-layer
  * routing stack to ns3::MeshPointDevice
  *
  * You need to create a MeshPointDevice and attach all
@@ -24,25 +24,25 @@
 class MeshStack : public Object
 {
   public:
-    /// \brief Register this type.
-    /// \return The TypeId.
+    /// @brief Register this type.
+    /// @return The TypeId.
     static TypeId GetTypeId();
 
     /**
-     * \brief Installs mesh stack. needed by helper only
-     * \param mp the mesh point device
-     * \returns true if successful
+     * @brief Installs mesh stack. needed by helper only
+     * @param mp the mesh point device
+     * @returns true if successful
      */
     virtual bool InstallStack(Ptr<MeshPointDevice> mp) = 0;
     /**
      * Report statistics of a given mesh point
-     * \param mp the mesh point device
-     * \param os the output stream
+     * @param mp the mesh point device
+     * @param os the output stream
      */
     virtual void Report(const Ptr<MeshPointDevice> mp, std::ostream& os) = 0;
     /**
      * Reset statistics of a given mesh point
-     * \param mp the mesh point device
+     * @param mp the mesh point device
      */
     virtual void ResetStats(const Ptr<MeshPointDevice> mp) = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/airtime-metric.cc ns-3.44/src/mesh/model/dot11s/airtime-metric.cc
--- ns-3.43/src/mesh/model/dot11s/airtime-metric.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/airtime-metric.cc	2025-03-09 16:55:49.635372000 -0700
@@ -93,9 +93,9 @@
                             // DIFS + SIFS + AckTxTime = 2 * SIFS + 2 * SLOT + AckTxTime
                             2 * mac->GetWifiPhy()->GetSifs() + 2 * mac->GetWifiPhy()->GetSlot() +
                             mac->GetWifiPhy()->GetAckTxTime() +
-                            mac->GetWifiPhy()->CalculateTxDuration(m_testFrame->GetSize(),
-                                                                   txVector,
-                                                                   mac->GetWifiPhy()->GetPhyBand()))
+                            WifiPhy::CalculateTxDuration(m_testFrame->GetSize(),
+                                                         txVector,
+                                                         mac->GetWifiPhy()->GetPhyBand()))
                        .GetMicroSeconds() /
                    (10.24 * (1.0 - failAvg)));
     return metric;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/airtime-metric.h ns-3.44/src/mesh/model/dot11s/airtime-metric.h
--- ns-3.43/src/mesh/model/dot11s/airtime-metric.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/airtime-metric.h	2025-03-09 16:55:49.635372000 -0700
@@ -17,9 +17,9 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Airtime link metric calculator
+ * @brief Airtime link metric calculator
  *
  * Airtime link metric is defined in 11B.10 of 802.11s Draft D3.0 as:
  *
@@ -36,8 +36,8 @@
   public:
     AirtimeLinkMetricCalculator();
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
@@ -52,21 +52,21 @@
      * Final result is expressed encoded as an unsigned integer in units of
      * 0.01 TU = 10.24 us
      *
-     * \param peerAddress The peer MAC address
-     * \param mac The MAC layer
-     * \returns the calculated metric in units of 0.01 TU
+     * @param peerAddress The peer MAC address
+     * @param mac The MAC layer
+     * @returns the calculated metric in units of 0.01 TU
      */
     uint32_t CalculateMetric(Mac48Address peerAddress, Ptr<MeshWifiInterfaceMac> mac);
 
   private:
     /**
      * Set number of bytes in test frame (a constant 1024 in the standard)
-     * \param testLength the test length in bits
+     * @param testLength the test length in bits
      */
     void SetTestLength(uint16_t testLength);
     /**
      * Set header TID from the Dot11MetricTid attribute
-     * \param tid the header TID to use to calculate data rate
+     * @param tid the header TID to use to calculate data rate
      */
     void SetHeaderTid(uint8_t tid);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/dot11s.h ns-3.44/src/mesh/model/dot11s/dot11s.h
--- ns-3.43/src/mesh/model/dot11s/dot11s.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/dot11s.h	2025-03-09 16:55:49.635372000 -0700
@@ -8,10 +8,10 @@
  * This is doxygen module description, don't include
  */
 /**
- * \ingroup mesh
- * \defgroup dot11s IEEE 802.11s draft
+ * @ingroup mesh
+ * @defgroup dot11s IEEE 802.11s draft
  *
- * \brief IEEE 802.11s (mesh) draft standard implementation
+ * @brief IEEE 802.11s (mesh) draft standard implementation
  *
  * Current model conforms IEEE 802.11s D3.0 draft version and includes
  * Peer Management Protocol and HWMP (routing) Protocol implementations.
@@ -19,7 +19,7 @@
  * The multi-interface mesh points are supported as an
  * extension of IEEE draft version 3.0. Note that corresponding helper
  * creates single interface station by default.
- * \section Dot11s Overview of IEEE 802.11s
+ * @section Dot11s Overview of IEEE 802.11s
  * Implementation of 802.11s draft standard consists of two main parts:
  * Peer management protocol and HWMP - Hybrid Wireless Mesh Protocol.
  *
@@ -31,7 +31,7 @@
  * If peer link between sender and receiver does not exist, the packet will be dropped.
  * So, the plug-in to peer management protocol is the first in the list of
  * ns3::MeshWifiInterfaceMacPlugin
- * \subsection PMP Peer management protocol
+ * @subsection PMP Peer management protocol
  * Peer management protocol consists of three main parts:
  *      - Protocol itself ns3::dot11s::PeerManagementProtocol, which keeps all active peer links on
  * interfaces, handles all changes of their states and notifies a routing protocol about link
@@ -54,7 +54,7 @@
  * but the structure is similar: the upper tier of protocol ns3::dot11s::PeerManagementProtocol
  * and its plug-in is  ns3::dot11s::PeerManagementProtocolMac.
  *
- * \subsection HWMP Hybrid Wireless Mesh Protocol
+ * @subsection HWMP Hybrid Wireless Mesh Protocol
  * HWMP is implemented in both modes -- reactive and proactive. Also we have implemented an ability
  * to transmit broadcast data and management frames as unicasts (see appropriate attributes).
  * This feature turns off at a station when the number of neighbours of the station is more than a
